var assert = require('assert');
pwf = require('pwf.js');


describe('struct object', function() {
	before(require('./utils/create_env'));

	it('constructor', function() {
		var obj;

		pwf.rc('test.struct', {
			'parents':['jq.struct'],

			'proto':{
				'els':[
					{
						'name':'base',
						'tag':'block',
						'cname':['hello', 'world'],
						'els':['head']
					}
				]
			}
		});

		obj = pwf.create('test.struct', {'parent':pwf.body});

		assert.notStrictEqual(obj.get_el('base'), null);
		assert.strictEqual(obj.get_el('base').hasClass('hello'), true);
		assert.strictEqual(obj.get_el('base').hasClass('world'), true);
		assert.notStrictEqual(obj.get_el('base.head'), null);
	});
});
